--AH:ScriptId=64aa535c-a3da-45d3-ae25-1f567a08325a;3214
ALTER TABLE [ScheduledTasks]
	ADD [CronExpression_Text] VARCHAR(50)
GO

UPDATE [ScheduledTasks]
   SET [CronExpression_Text] = '0 ' + CAST(([StartTimeOfDay_Minutes] % 60) AS VARCHAR(50)) + ' ' + CAST(([StartTimeOfDay_Minutes] / 60) AS VARCHAR(50)) + ' ' + (CASE WHEN [Frequency_Hours] = 168 THEN '?' ELSE '*' END) +  ' * ' + (CASE WHEN [Frequency_Hours] = 168 THEN 'SUN' ELSE '?' END)
GO

ALTER TABLE [ScheduledTasks]
	ALTER COLUMN [CronExpression_Text] VARCHAR(50) NOT NULL

ALTER TABLE [ScheduledTasks]
	DROP CONSTRAINT [CK__ScheduledTasks__Frequency_Hours]
ALTER TABLE [ScheduledTasks]
	DROP CONSTRAINT [CK__ScheduledTasks__StartTimeOfDay_Minutes]
ALTER TABLE [ScheduledTasks]
	DROP CONSTRAINT [CK__ScheduledTasks__EndTimeOfDay_Minutes]

ALTER TABLE [ScheduledTasks]
	DROP COLUMN [Frequency_Hours]
ALTER TABLE [ScheduledTasks]
	DROP COLUMN [StartTimeOfDay_Minutes]
ALTER TABLE [ScheduledTasks]
	DROP COLUMN [EndTimeOfDay_Minutes]
ALTER TABLE [ScheduledTasks]
	DROP COLUMN [RunImmediately_User]