--AH:ScriptId=80aa034b-1643-4abd-b7ae-030deb6dcec4;3207
CREATE TABLE [Variables]
(
	[Variable_Id] INT IDENTITY(1,1) NOT NULL,
	[Variable_Name] VARCHAR(50) NOT NULL,
	[ValueType_Code] CHAR(1) NOT NULL,
	[Variable_Value] VARBINARY(MAX) NOT NULL,
	[Sensitive_Indicator] YNINDICATOR NOT NULL,
	[EvaluateVariables_Indicator] YNINDICATOR NOT NULL,
	[Feed_Id] INT NULL,

	CONSTRAINT [PK__Variables]
		PRIMARY KEY ([Variable_Id]),

	CONSTRAINT [FK__Variables__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__Variables__ValueType_Code]
		CHECK ([ValueType_Code] IN ('S', 'V', 'M')),

	CONSTRAINT [CK__Variables__Variable_Name]
		CHECK (LEN([Variable_Name]) > 0),

	CONSTRAINT [UQ__Variables]
		UNIQUE ([Feed_Id], [Variable_Name])
)
