EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_GetAssetDirectories',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'AssetDirectories',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all asset directories (Feeds of "Asset" type) and aggregate data about items',
	/* Remarks_Text            */ NULL
GO

IF OBJECT_ID('[Assets_GetAssetDirectories]') IS NOT NULL DROP PROCEDURE [Assets_GetAssetDirectories]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_GetAssetDirectories]
AS
BEGIN

	
	SELECT * FROM [AssetDirectories]

END
GO

GRANT EXECUTE ON [Assets_GetAssetDirectories] TO [ProGetUser_Role]