EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedGroups_GetGroups',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all feed groups.'
GO

IF OBJECT_ID('[FeedGroups_GetGroups]') IS NOT NULL DROP PROCEDURE [FeedGroups_GetGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedGroups_GetGroups]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [FeedGroups]
	 ORDER BY [FeedGroup_Name]

END
GO

GRANT EXECUTE ON [FeedGroups_GetGroups] TO [ProGetUser_Role]
